Bug 683852 - When creating a new role, UI allows selection of one "Read" checkbox but none others
When creating a new role, UI allows selection of one "Read" checkbox but none...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-10 09:00 EST by Corey Welton
Modified: 2013-08-05 20:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-03-10 09:00:15 EST
Description of problem:

When creating a new role, a user is able to initially select one "Read?" checkbox in resource permissions.  A warning pops up, and then this box is unable to be reverted.  Subsequent attempts to check any other read checkbox fails.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Administration > Roles > New
2. Choose one of the items in Resource Permissions (i.e., "Manage Alerts"), check/double-click the "Read?" checkbox.
3. Note the warning that appears
4. Attempt to uncheck this box.
5. Attempt to select any other "Read?" box for other permissions  
Actual results:

* Box can be checked but subsequently cannot be unchecked


Expected results:

* I don't think we're allowing someone to explicitly select the read box -- as the UI warning notes, "Read access for the Manage Content permission is implied and cannot be disabled." But this -- and most others -- can be selected at least initially, and not unselected. 

Additional info:

Please note that the "Configure" checkbox appears to be a different case.  It can be selected/unselected multiple times and no warnings appear.  However, it is true that once the actions listed in steps 1-5 above are taken, the Configure checkbox can no longer be selected.  This may well be a completely different bug.
Comment 1 Ian Springer 2011-04-04 14:49:32 EDT
Fixed - [master 6773ca8].
Comment 2 Mike Foley 2011-04-20 19:43:54 EDT
i am not able to save role permissions.  i added bz 698475.  i will retest this bug and bz 698475 together.  to be clear, this bz is not verified now.
Comment 3 Mike Foley 2011-04-21 15:16:50 EDT
i am marking this verified.  read permissions were a bit confusing for me, as while they are all listed and have checkboxes, only exactly one can be unchecked ...all the others are implied and must be set.  i have communicated his usability feedback to ips and he is adding something in another geck to mitigate some of the usability confusion i had.
Comment 4 Corey Welton 2011-05-23 21:12:08 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:12:08 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.